| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
videoImage.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoImage.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParamImageT | AR2VideoParamImageT

## Functions
int | ar2VideoDispOptionImage (void)
AR2VideoParamImageT * | ar2VideoOpenImage (const char *config)
int | ar2VideoCloseImage (AR2VideoParamImageT *vid)
int | ar2VideoGetIdImage (AR2VideoParamImageT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeImage (AR2VideoParamImageT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatImage (AR2VideoParamImageT *vid)
AR2VideoBufferT * | ar2VideoGetImageImage (AR2VideoParamImageT *vid)
int | ar2VideoCapStartImage (AR2VideoParamImageT *vid)
int | ar2VideoCapStopImage (AR2VideoParamImageT *vid)
int | ar2VideoGetParamiImage (AR2VideoParamImageT *vid, int paramName, int *value)
int | ar2VideoSetParamiImage (AR2VideoParamImageT *vid, int paramName, int value)
int | ar2VideoGetParamdImage (AR2VideoParamImageT *vid, int paramName, double *value)
int | ar2VideoSetParamdImage (AR2VideoParamImageT *vid, int paramName, double value)
int | ar2VideoGetParamsImage (AR2VideoParamImageT *vid, const int paramName, char **value)
int | ar2VideoSetParamsImage (AR2VideoParamImageT *vid, const int paramName, const char *value)
int | ar2VideoSetBufferSizeImage (AR2VideoParamImageT *vid, const int width, const int height)
int | ar2VideoGetBufferSizeImage (AR2VideoParamImageT *vid, int *width, int *height)

## Typedef Documentation

## ◆ AR2VideoParamImageT

typedef struct _AR2VideoParamImageT AR2VideoParamImageT

## Function Documentation

## ◆ ar2VideoCapStartImage()

int ar2VideoCapStartImage | ( | AR2VideoParamImageT * | vid | ) |

## ◆ ar2VideoCapStopImage()

int ar2VideoCapStopImage | ( | AR2VideoParamImageT * | vid | ) |

## ◆ ar2VideoCloseImage()

int ar2VideoCloseImage | ( | AR2VideoParamImageT * | vid | ) |

## ◆ ar2VideoDispOptionImage()

int ar2VideoDispOptionImage | ( | void |  | ) |

## ◆ ar2VideoGetBufferSizeImage()

int ar2VideoGetBufferSizeImage | ( | AR2VideoParamImageT * | vid,
|  | int * | width,
|  | int * | height
| ) |  |

## ◆ ar2VideoGetIdImage()

int ar2VideoGetIdImage | ( | AR2VideoParamImageT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageImage()

AR2VideoBufferT * ar2VideoGetImageImage | ( | AR2VideoParamImageT * | vid | ) |

## ◆ ar2VideoGetParamdImage()

int ar2VideoGetParamdImage | ( | AR2VideoParamImageT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiImage()

int ar2VideoGetParamiImage | ( | AR2VideoParamImageT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsImage()

int ar2VideoGetParamsImage | ( | AR2VideoParamImageT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatImage()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatImage | ( | AR2VideoParamImageT * | vid | ) |

## ◆ ar2VideoGetSizeImage()

int ar2VideoGetSizeImage | ( | AR2VideoParamImageT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenImage()

AR2VideoParamImageT * ar2VideoOpenImage | ( | const char * | config | ) |

## ◆ ar2VideoSetBufferSizeImage()

int ar2VideoSetBufferSizeImage | ( | AR2VideoParamImageT * | vid,
|  | const int | width,
|  | const int | height
| ) |  |

## ◆ ar2VideoSetParamdImage()

int ar2VideoSetParamdImage | ( | AR2VideoParamImageT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiImage()

int ar2VideoSetParamiImage | ( | AR2VideoParamImageT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsImage()

int ar2VideoSetParamsImage | ( | AR2VideoParamImageT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |